# netapp_e_syslog – NetApp E-Series manage syslog settings

New in version 2.7.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Allow the syslog settings to be configured for an individual E-Series storage-system

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address - |  | The syslog server's IPv4 address or a fully qualified hostname. All existing syslog configurations will be removed when state=absent and address=None.
api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
components - | Default: ["auditLog"] | The e-series logging components define the specific logs to transfer to the syslog server. At the time of writing, 'auditLog' is the only logging component but more may become available.
log_path - |  | This argument specifies a local path for logging purposes.
port - | Default: 514 | This is the port the syslog server is using.

protocol
-

Choices:
- udp ←
- tcp
- tls

This is the transmission protocol the syslog server's using to receive syslog messages.

ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.

state
-

Choices:
- present ←
- absent

Add or remove the syslog server configuration for E-Series storage array.
Existing syslog server configuration will be removed or updated when its address matches address.
Fully qualified hostname that resolve to an IPv4 address that matches address will not be treated as a match.

test
boolean

Choices:
- no ←
- yes

This forces a test syslog message to be sent to the stated syslog server.
Only attempts transmission when state=present.

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Notes

Note

- Check mode is supported.
- This API is currently only supported with the Embedded Web Services API v2.12 (bundled with SANtricity OS 11.40.2) and higher.
- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.
- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.
- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Add two syslog server configurations to NetApp E-Series storage array.
      netapp_e_syslog:
        state: present
        address: "{{ item }}"
        port: 514
        protocol: tcp
        component: "auditLog"
        api_url: "10.1.1.1:8443"
        api_username: "admin"
        api_password: "myPass"
      loop:
        - "192.168.1.1"
        - "192.168.1.100"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | on success | Success message Sample: The settings have been updated.
syslog boolean | on success | True if syslog server configuration has been added to e-series storage array. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Nathan Swartz (@ndswartz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.